%{bcond_with perl_Net_HTTP_enables_network_test}

Name:           perl-Net-HTTP
Version:        6.19
Release:        1
Summary:        Low-level HTTP connection (client)
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-HTTP
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/Net-HTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(:VERSION) >= 5.6.2
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Getopt::Long) perl(strict)
BuildRequires:  perl(base) perl(Carp) perl(Compress::Raw::Zlib)
BuildRequires:  perl(IO::Socket::IP) perl(IO::Socket) perl(IO::Socket::SSL) >= 2.012
BuildRequires:  perl(IO::Uncompress::Gunzip) perl(Symbol) perl(URI)
BuildRequires:  perl(vars) perl(warnings) perl(Data::Dumper)
BuildRequires:  perl(File::Spec) perl(IO::Select) perl(IO::Socket::INET)
BuildRequires:  perl(Socket) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Compress::Raw::Zlib) perl(IO::Uncompress::Gunzip)
Requires:       perl(IO::Socket::IP) perl(IO::Socket) perl(Symbol)
Requires:       perl(IO::Socket::SSL) >= 2.012

Conflicts:      perl-libwww-perl < 6

%description

The `Net::HTTP` class is a low-level HTTP client.  An instance of the
`Net::HTTP` class represents a connection to an HTTP server.  The
HTTP protocol is described in RFC 2616.  The `Net::HTTP` class
supports `HTTP/1.0` and `HTTP/1.1`.

`Net::HTTP` is a sub-class of one of `IO::Socket::IP` (IPv6+IPv4),
`IO::Socket::INET6` (IPv6+IPv4), or `IO::Socket::INET` (IPv4 only).
You can mix the methods described below with reading and writing from the
socket directly.  This is not necessary a good idea, unless you know what
you are doing.

%package help
Summary:        Documentation for perl-Net-HTTP

%description help
Documentation for perl-Net-HTTP.

%prep
%autosetup -n Net-HTTP-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{__chmod} -Rf a+rX,u+w,g-w,o-w %buildroot/*

%check
export NO_NETWORK_TESTING=%{without perl_Net_HTTP_enables_network_test}
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%exclude %{_libdir}/perl5/perllocal.pod

%files help
%doc Changes CONTRIBUTORS README.md
%{_mandir}/man3/*

%changelog
* Thu Aug 20 2020 SimpleUpdate Robot <tc@openeuler.org> - 6.19-1
- Upgrade to version 6.19

* Fri Oct 25 2019 Zaiwang Li <lizaiwang@huawei.com> - 6.18-4
- Init Package.
